Start an upload session for a related asset

Initiates a multipart upload for a file that will be associated as a related asset (e.g., subtitle track, alternate language version) to an existing asset. Uses 8 MB chunk size (8388608 bytes) for multipart upload.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Gets or sets the Existing AssetId (file) that should be overwritten with this upload. Note that by specifying this attribute then the parentId, relativePath and displayName are all ignored.

string | null

Gets or sets the related asset ID of the existingAsset that we're replacing. If this is used, most of the other properties are not needed.

string | null

Gets or sets the type of the related asset metadata to be created for a given ExistingAssetId. If specified, ExistingAssetId has to have a value defined.

string
required

The overwrite option for the upload. The option you want to use when uploading the asset. The options are continue, replace, and cancel. Continue continues the upload from where it left off. Replace replaces an existing asset. Replace is the one you want to use if you are starting a new upload.

file
required

The FILE object or full or relative path of the file to upload. This is ignored if the ExistingAssetId or if the RelatedContentId has a value

string | null

The language of the asset to upload. If this is left blank then the default system language is used.

Responses
200

Success

400

Invalid parameters provided

401

The caller is not authenticated

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!